-- name: [Pet] Boo Mod
-- description: Adds Boo's as pets!

if not _G.wpets then return end
-- SOUND_OBJ_BOO_LAUGH_LONG
--SOUND_OBJ_BOO_LAUGH_SHORT

local Boo_N64_MODEL_WPET = smlua_model_util_get_id('N64_Boo_Pet_Geo')
local Boo_GC_MODEL_WPET = smlua_model_util_get_id('GC_Boo_Pet_Geo')
local Boo_N64_WPET = _G.wpets.add_pet({
	name = "Boo (N64)", credit = "Nintendo, Models Resource, ThePlayerRolo",
	description = "BOO!",
	modelID = Boo_N64_MODEL_WPET,
	scale = 2.0, yOffset = 0, flying = true
})

_G.wpets.set_pet_anims_2leg(Boo_N64_WPET)

_G.wpets.set_pet_sounds(Boo_N64_WPET, {
	spawn = SOUND_OBJ_BOO_LAUGH_LONG,
	happy = SOUND_OBJ_BOO_LAUGH_LONG,
	vanish = nil,
	step = nil
})

local Boo_GC_WPET = _G.wpets.add_pet({
	name = "Boo (GC)", credit = "Nintendo, Models Resource, ThePlayerRolo",
	description = "I am the yummy Boolicious!",
	modelID = Boo_GC_MODEL_WPET,
	scale = 2.0, yOffset = 0, flying = true
})

_G.wpets.set_pet_anims_2leg(Boo_GC_WPET)

_G.wpets.set_pet_sounds(Boo_GC_WPET, {
	spawn = 'GC_Boo_Spawn.ogg',
	happy = 'Happy_GC_Boo.ogg',
	vanish = nil,
	step = nil
})